xine-lib: extra_info_s Struct Reference

xine-lib 1.2.12

Data Fields
extra_info_s Struct Reference

Structure to pass information from input or demuxer plugins to output frames (past decoder). More...

`#include <buffer.h>`

## Data Fields
int | input_normpos
int | input_time
uint32_t | frame_number
int | seek_count
int64_t | vpts
int | invalid
int | total_time

## Detailed Description

Structure to pass information from input or demuxer plugins to output frames (past decoder).

New data must be added after the existing fields to not break ABI (backward compatibility).

## Field Documentation

## ◆ frame_number

uint32_t extra_info_s::frame_number

number of current frame if known

Referenced by _x_demux_read_send_data(), _x_demux_send_data(), _x_extra_info_merge(), demux_raw_dv_next(), spudec_decode_data(), xine_current_extra_info_set(), and xine_get_next_video_frame().

## ◆ input_normpos

int extra_info_s::input_normpos

remember where this buf came from in the input source (0..65535). can be either time or offset based.

Referenced by _x_demux_read_send_data(), _x_demux_send_data(), _x_extra_info_merge(), asf_send_buffer_defrag(), asf_send_buffer_nodefrag(), demux_aac_send_chunk(), demux_ac3_send_chunk(), demux_aiff_send_chunk(), demux_aud_send_chunk(), demux_cdda_send_chunk(), demux_dts_send_chunk(), demux_eawve_send_chunk(), demux_film_send_chunk(), demux_flac_send_chunk(), demux_fli_send_chunk(), demux_fourxm_send_chunk(), demux_idcin_send_chunk(), demux_iff_send_chunk(), demux_mng_send_chunk(), demux_mod_send_chunk(), demux_mpc_send_chunk(), demux_mpeg_block_parse_pack(), demux_mpeg_elem_next(), demux_mpeg_pes_parse_pack(), demux_mve_send_chunk(), demux_nsf_send_chunk(), demux_pva_send_chunk(), demux_pva_send_headers(), demux_qt_send_chunk(), demux_raw_dv_next(), demux_real_send_chunk(), demux_roq_send_chunk(), demux_shn_send_chunk(), demux_smjpeg_send_chunk(), demux_snd_send_chunk(), demux_str_send_chunk(), demux_ts_send_buffer(), demux_vc1_es_next_ap(), demux_vmd_send_chunk(), demux_voc_send_chunk(), demux_vox_send_chunk(), demux_vqa_send_chunk(), demux_wav_send_chunk(), demux_wv_send_chunk(), demux_yuv4mpeg2_send_chunk(), handle_sub_ssa(), handle_sub_utf8(), handle_vobsub(), nsv_parse_payload(), parse_frame_payload(), parse_mpeg1_packet(), parse_mpeg2_packet(), process_ipmovie_chunk(), read_flv_packet(), real_parse_headers(), spudec_decode_data(), vo_frame_draw(), xine_current_extra_info_set(), xine_get_next_video_frame(), and xine_get_pos_length().

## ◆ input_time

int extra_info_s::input_time

time offset in miliseconds from beginning of stream

Referenced by _x_demux_read_send_data(), _x_demux_send_data(), _x_extra_info_merge(), asf_send_buffer_defrag(), asf_send_buffer_nodefrag(), demux_aac_send_chunk(), demux_ac3_send_chunk(), demux_aiff_send_chunk(), demux_aud_send_chunk(), demux_cdda_send_chunk(), demux_dts_send_chunk(), demux_eawve_send_chunk(), demux_film_send_chunk(), demux_flac_send_chunk(), demux_fli_send_chunk(), demux_fourxm_send_chunk(), demux_idcin_send_chunk(), demux_iff_send_chunk(), demux_mng_send_chunk(), demux_mod_send_chunk(), demux_mpc_send_chunk(), demux_mve_send_chunk(), demux_nsf_send_chunk(), demux_pva_send_chunk(), demux_qt_send_chunk(), demux_raw_dv_next(), demux_real_send_chunk(), demux_smjpeg_send_chunk(), demux_snd_send_chunk(), demux_str_send_chunk(), demux_ts_send_buffer(), demux_vmd_send_chunk(), demux_voc_send_chunk(), demux_vox_send_chunk(), demux_vqa_send_chunk(), demux_wav_send_chunk(), demux_wv_send_chunk(), demux_yuv4mpeg2_send_chunk(), dvd_plugin_read_block(), handle_sub_ssa(), handle_sub_utf8(), handle_vobsub(), nsv_parse_payload(), parse_frame_payload(), parse_mpeg1_packet(), parse_mpeg2_packet(), parse_pes_for_pts(), parse_private_stream_2(), process_ipmovie_chunk(), read_flv_packet(), real_parse_headers(), spudec_decode_data(), vo_frame_draw(), xine_current_extra_info_set(), xine_get_next_video_frame(), and xine_get_pos_length().

## ◆ invalid

int extra_info_s::invalid

do not use this extra info to update anything

Referenced by _x_extra_info_merge(), ao_loop(), tdaan_port_put_buffer(), and xine_current_extra_info_set().

## ◆ seek_count

int extra_info_s::seek_count

internal engine use

Referenced by _x_extra_info_merge(), ao_loop(), ao_out_fifo_reref_append(), ao_put_buffer(), audio_decoder_loop(), video_decoder_loop(), xine_current_extra_info_set(), and xine_get_pos_length().

## ◆ total_time

int extra_info_s::total_time

duration in miliseconds of the stream

Referenced by _x_demux_read_send_data(), _x_demux_send_data(), bluray_plugin_read_block(), demux_mpc_send_chunk(), demux_real_send_chunk(), dvd_plugin_read_block(), and parse_pes_for_pts().

## ◆ vpts

int64_t extra_info_s::vpts

set on output layers only

Referenced by _x_extra_info_merge(), ao_loop(), ao_put_buffer(), spudec_decode_data(), vo_frame_draw(), and xine_current_extra_info_set().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/include/xine/buffer.h